NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | List of all members
NeuralEngine::MachineLearning::PCA Class Reference

Pirincipal Component Analyses. More...

`#include <FgPCA.h>`

Inheritance diagram for NeuralEngine::MachineLearning::PCA:
[legend]
Collaboration diagram for NeuralEngine::MachineLearning::PCA:
[legend]

## Public Member Functions
| PCA ()
| Default constructor. More...
af::array | Compute (af::array &M, int q)
| Computes the first q components More...
virtual af::array | Compute (af::array &M, int q)=0

## Detailed Description

Pirincipal Component Analyses.

Principal component analysis (PCA) is a statistical procedure that uses an orthogonal transformation to convert a set of observations of possibly correlated variables into a set of values of linearly uncorrelated variables called principal components (or sometimes, principal modes of variation). The number of principal components is less than or equal to the smaller of the number of original variables or the number of observations. This transformation is defined in such a way that the first principal component has the largest possible variance (that is, accounts for as much of the variability in the data as possible), and each succeeding component in turn has the highest variance possible under the constraint that it is orthogonal to the preceding components. The resulting vectors are an uncorrelated orthogonal basis set. PCA is sensitive to the relative scaling of the original variables.

Definition at line 36 of file FgPCA.h.

## Constructor & Destructor Documentation

## ◆ PCA()

NeuralEngine::MachineLearning::PCA::PCA | ( |  | ) |
| inline

Default constructor.

Hmetal T, 02/12/2019.

Definition at line 45 of file FgPCA.h.

## Member Function Documentation

## ◆ Compute()

af::array NeuralEngine::MachineLearning::PCA::Compute | ( | af::array & | M,
|  | int | q
| ) |  |
| virtual

Computes the first q components

Hmetal T, 11.04.2017.

Parameters

  M | [in,out] N by D data matrix.
  q | Number of components.

Returns
  An af::array.

Implements NeuralEngine::MachineLearning::IEmbed.

The documentation for this class was generated from the following file:

- FgPCA.h